/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Mar-09-2012 08:19:35pm
Filepath: scripts\Mobiles\custom mobiles - to sort\ML Named\MougGuur.cs
Lines of code: 63

Description: 

***********************************************************/


using System;
using System.Collections;
using Server.Items;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "an ettins corpse" )]
	public class MougGuur : BaseCreature
	{
	
		public override WeaponAbility GetWeaponAbility() {return WeaponAbility.CrushingBlow;}
		
		[Constructable]
		public MougGuur() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "Moug-Guur";
			Body = 18;
			BaseSoundID = 367;

			SetStr( 556, 560 );
			SetDex( 84, 88 );
			SetInt( 61, 73 );

			SetHits( 409, 411 );

			SetDamage( 17, 37 );

			SetDamageType( ResistanceType.Physical, 100 );

			SetResistance( ResistanceType.Physical, 61, 65 );
			SetResistance( ResistanceType.Fire, 18, 19 );
			SetResistance( ResistanceType.Cold, 41, 46 );
			SetResistance( ResistanceType.Poison, 24 );
			SetResistance( ResistanceType.Energy, 19, 25 );

			SetSkill( SkillName.MagicResist, 70.2, 73.7 );
			SetSkill( SkillName.Tactics, 80.8, 81.7 );
			SetSkill( SkillName.Wrestling, 93.9, 99.4 );

			Fame = 4500;
			Karma = -4500;

			VirtualArmor = 38;
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Rich );
			AddLoot( LootPack.FilthyRich );
			AddLoot( LootPack.Potions );
		}

		public override bool IsMLBoss { get { return true;} }
		public override int TreasureMapLevel{ get{ return 6; } }
		public override double MLChestChance{ get{ return 0.05; } }
		
		public override bool CanRummageCorpses{ get{ return true; } }
		public override int Meat{ get{ return 4; } }
		public override Poison PoisonImmune { get { return Poison.Lesser; } }
		public override bool IsMLCreature { get { return true;} }
		public override int BonusHPR{ get{ return 3; } }

		public MougGuur( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}